"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const quizLocalReducer_1 = tslib_1.__importStar(require("../../components/CioQuiz/quizLocalReducer"));
const utils_1 = require("../../utils");
const useQuizLocalState = () => {
    const [quizLocalState, dispatch] = (0, react_1.useReducer)(quizLocalReducer_1.default, quizLocalReducer_1.initialState);
    const dispatchLocalState = (0, react_1.useCallback)((action) => {
        (0, utils_1.logger)(action);
        dispatch(action);
    }, []);
    return {
        quizLocalState,
        dispatchLocalState,
    };
};
exports.default = useQuizLocalState;
