import { AnswerInputState } from '../../types';
import { ActionAnswerQuestion } from './actions';
export type Answers = string[][];
export type QuizLocalReducerState = {
    answers: Answers;
    answerInputs: AnswerInputState;
    prevAnswerInputs: AnswerInputState;
    isLastAnswer: boolean;
    isQuizCompleted: boolean;
    quizVersionId?: string;
    quizSessionId?: string;
};
export declare const initialState: QuizLocalReducerState;
export default function quizLocalReducer(state: QuizLocalReducerState, action: ActionAnswerQuestion): QuizLocalReducerState;
